# Uses of Interface
org.eclipse.mat.parser.index.IIndexReader.IOne2LongIndex

Packages that use IIndexReader.IOne2LongIndex
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of IIndexReader.IOne2LongIndex in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof that return IIndexReader.IOne2LongIndex
Modifier and Type
Method
Description
`IIndexReader.IOne2LongIndex`
HprofParserHandlerImpl.`fillIn(IPreliminaryIndex index, IProgressListener listener)`
`IIndexReader.IOne2LongIndex`
IHprofParserHandler.`fillIn(IPreliminaryIndex index, IProgressListener listener)`
Methods in org.eclipse.mat.hprof with parameters of type IIndexReader.IOne2LongIndex
Modifier and Type
Method
Description
`IObject`
HprofRandomAccessParser.`read(int objectId, long position, ISnapshot dump, IIndexReader.IOne2LongIndex o2hprof)`

## Uses of IIndexReader.IOne2LongIndex in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type IIndexReader.IOne2LongIndex
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setIdentifiers(IIndexReader.IOne2LongIndex identifiers)`
store the object id to address mapping

## Uses of IIndexReader.IOne2LongIndex in org.eclipse.mat.parser.index

Classes in org.eclipse.mat.parser.index that implement IIndexReader.IOne2LongIndex
Modifier and Type
Class
Description
`static class`
`IndexReader.LongIndexReader`
Creates a int to long index reader Disk file structure:
`static class`
`IndexWriter.Identifier`
Used to collect the objects by address.
Fields in org.eclipse.mat.parser.index declared as IIndexReader.IOne2LongIndex
Modifier and Type
Field
Description
`IIndexReader.IOne2LongIndex`
IndexManager.`idx`
The index from object ID to its address
`IIndexReader.IOne2LongIndex`
IndexManager.`o2ret`
Index from object ID to its retained size
Methods in org.eclipse.mat.parser.index that return IIndexReader.IOne2LongIndex
Modifier and Type
Method
Description
`IIndexReader.IOne2LongIndex`
IndexManager.`o2address()`
The index from object ID to the object address
`IIndexReader.IOne2LongIndex`
IndexManager.`o2retained()`
The index reader for each object to its retained size
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexCollector.`writeTo(File indexFile)`
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexCollectorUncompressed.`writeTo(File indexFile)`
Write the in-memory mapping to disk and return a reader.
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, int size, HashMapIntObject<Object> pages, int pageSize)`
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, long[] array)`
Output a whole long array
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, ArrayLong array)`
Output a whole ArrayLong
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, IteratorLong iterator)`
Output a whole long iterator
Methods in org.eclipse.mat.parser.index with parameters of type IIndexReader.IOne2LongIndex
Modifier and Type
Method
Description
`void`
IndexWriter.IntArray1NWriter.`log(IIndexReader.IOne2LongIndex identifier, int index, ArrayLong references)`
Used to record the addresses as IDs.